from enum import Enum, auto


class RecordType(str, Enum):
    # pylint: disable=no-self-argument
    def _generate_next_value_(name: str, *_args) -> str:  # type: ignore
        return name.lower()

    # pylint: enable=no-self-argument
    Patient = auto()
    Reimbursement = auto()
